Eclipse Platform Release 3.7

## org.eclipse.ui.console
Interface IHyperlink2

All Superinterfaces:
  IHyperlink

    public interface IHyperlink2

extends IHyperlink

Optional extension to `IHyperlink`.

Clients implementing `IHyperlink` may also implement this interface. When implemented, the method `linkActivated(Event)` is called instead of `linkActivated()`.

Since:
  3.2

Method Summary
`void` `linkActivated(Event event)` Notification that this link has been activated.

Methods inherited from interface org.eclipse.ui.console.IHyperlink
`linkActivated, linkEntered, linkExited`

Method Detail

### linkActivated

    void linkActivated(Event event)

  Notification that this link has been activated. Performs context specific linking.

  Parameters:
    `event` - the SWT event which triggered this hyperlink

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.